import { type Wallet } from 'thirdweb/wallets';
/**
 * Create a thirdweb wallet for Abstract Global Wallet
 *
 * @returns A wallet instance wrapping Abstract Global Wallet to be used with the thirdweb Connect SDK
 *
 * @example
 * ```tsx
 * import { createThirdwebClient } from "thirdweb";
 * import { abstractWallet } from "@abstract-foundation/agw-react/thirdweb"
 *
 * const client = createThirdwebClient({ clientId });
 *
 * <ConnectButton client={client} wallets=[abstractWallet()]>
 * ```
 */
declare const abstractWallet: () => Wallet;
export { abstractWallet };
//# sourceMappingURL=abstractWalletThirdweb.d.ts.map